Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mchange.v2.c3p0.management
Interface C3P0RegistryManagerMBean

All Known Implementing Classes:
  C3P0RegistryManager

    public interface C3P0RegistryManagerMBean

Method Summary
`int` | `getAllIdentityTokenCount()`
`java.util.Set` | `getAllIdentityTokenized()`
`int` | `getAllIdentityTokenizedCount()`
`java.lang.String[]` | `getAllIdentityTokenizedStringified()`
`java.lang.String[]` | `getAllIdentityTokens()`
`java.util.Set` | `getAllPooledDataSources()`
`int` | `getAllPooledDataSourcesCount()`
`java.lang.String[]` | `getAllPooledDataSourcesStringified()`
`java.lang.String` | `getC3p0Version()`
`int` | `getNumPooledDataSources()`
`int` | `getNumPoolsAllDataSources()`

Method Detail

### getAllIdentityTokens

    java.lang.String[] getAllIdentityTokens()

### getAllIdentityTokenized

    java.util.Set getAllIdentityTokenized()

### getAllPooledDataSources

    java.util.Set getAllPooledDataSources()

### getAllIdentityTokenCount

    int getAllIdentityTokenCount()

### getAllIdentityTokenizedCount

    int getAllIdentityTokenizedCount()

### getAllPooledDataSourcesCount

    int getAllPooledDataSourcesCount()

### getAllIdentityTokenizedStringified

    java.lang.String[] getAllIdentityTokenizedStringified()

### getAllPooledDataSourcesStringified

    java.lang.String[] getAllPooledDataSourcesStringified()

### getNumPooledDataSources

    int getNumPooledDataSources()
                                throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getNumPoolsAllDataSources

    int getNumPoolsAllDataSources()
                                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getC3p0Version

    java.lang.String getC3p0Version()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD